Bug 1305115 - Mixed up values in Low and High operating ranges for C&U graphs
Mixed up values in Low and High operating ranges for C&U graphs
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.8.0
Assigned To: Robin Knaur
Nandini Chandra
c&u:ui
: TestOnly, ZStream
Depends On:
Blocks: 1433093
  Show dependency treegraph
 
Reported: 2016-02-05 12:19 EST by Nandini Chandra
Modified: 2017-06-12 13:05 EDT (History)
6 users (show)

See Also:
Fixed In Version: 5.8.0.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1433093 (view as bug list)
Environment:
Last Closed: 2017-06-12 13:05:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of memory usage graph (121.77 KB, image/png)
2016-02-05 12:19 EST, Nandini Chandra
no flags Details
screen shot of mem utilization page from 5.6.0.7 (128.09 KB, image/png)
2016-05-24 16:30 EDT, Nandini Chandra
no flags Details

  None (edit)
Description Nandini Chandra 2016-02-05 12:19:27 EST
Created attachment 1121457 [details]
screen shot of memory usage graph

Description of problem:
-----------------------

Version-Release number of selected component (if applicable):
---------------------------
5.4.5.0


How reproducible:
----------------
Always


Steps to Reproduce:
------------------
1.Enable C&U collection for a provider.
2.From the summary screen of a VM,navigate to the Utilization page by clicking Monitoring->Utilization.
3.Zoom in on the daily CPU or memory graphs.


Actual results:
--------------
The values in the low operating range and high operating range columns are mixed up.

In the attached screenshot,
low operating range = 198 MB
high operating range = 90.8 MB

Expected results:
----------------


Additional info:
---------------
Comment 3 Martin Povolny 2016-04-20 15:35:08 EDT
I think that the source of this bug is the same as below. And also the fix is the same:

commit aeed1dd8c65feef2515f96f05a7750e379b95d61
Author: Martin Povolny <mpovolny@redhat.com>
Date:   Mon Nov 23 19:03:36 2015 +0100

    Add missing labels for added performance report column.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1281968


Can you, please verify this on current builds?
Comment 5 Nandini Chandra 2016-05-24 16:30 EDT
Created attachment 1161200 [details]
screen shot of mem utilization page from 5.6.0.7
Comment 7 Martin Povolny 2017-02-13 10:52:59 EST
Robin, please, take a look.
Comment 9 CFME Bot 2017-03-15 05:56:12 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/97d6a2d08d41cb95e1a596d3f625ff7dc183c0aa

commit 97d6a2d08d41cb95e1a596d3f625ff7dc183c0aa
Author:     PanSpagetka <rknaur@redhat.com>
AuthorDate: Tue Mar 14 15:02:32 2017 +0100
Commit:     PanSpagetka <rknaur@redhat.com>
CommitDate: Tue Mar 14 15:02:32 2017 +0100

    Fix mixed values in Low and High operating ranges for CU charts
    https://bugzilla.redhat.com/show_bug.cgi?id=1305115

 product/charts/miq_reports/vim_perf_daily.yaml       | 1 -
 product/charts/miq_reports/vim_perf_daily_cloud.yaml | 1 -
 2 files changed, 2 deletions(-)
Comment 12 Nandini Chandra 2017-04-03 12:20:13 EDT
Verified in 5.8.0.8

Note You need to log in before you can comment on or make changes to this bug.